U++ - Bug #269
Fix sources to support c++0x
03/30/2012 02:02 PM - Jan Dolinar

Status: Approved Start date: 03/30/2012
Priority: Immediate Due date:

Assignee: Jan Dolinar % Done: 0%
Category: CtrlLib Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

When compiling with gcc 4.6 with '-std=c++0x', compiler complains about few simple problems in the CtrlLib and Core. The symptoms
and solution is described in this thread: http://www.ultimatepp.org/forum/index.php?t=msg&#38;th=6618&#38;start=0x%x%

History

#1 - 05/11/2012 03:30 PM - Miroslav Fidler

- Priority changed from Normal to Immediate

#2 - 05/12/2012 11:27 AM - Miroslav Fidler
- Status changed from Patch ready to Ready for QA
- Assignee changed from Miroslav Fidler to Jan Dolinar

| believe U++ now compiles with gcc-4.6 and -std=c++0x, please confirm and if OK, set to approved...

#3 - 05/12/2012 02:42 PM - Jan Dolinar
- Status changed from Ready for QA to Approved

Compiles for me (tested on theide) with gcc-4.7 and -std=c++11, closing.
